EventType (install4j API)
Description: declaration: package: com.install4j.api.events, enum: EventType

# Enum Class EventType

java.lang.Object
java.lang.Enum<EventType>
com.install4j.api.events.EventType

All Implemented Interfaces:
  `Serializable, Comparable<EventType>, Constable`

public enum EventType extends Enum<EventType>
Enumeration class that represents all different event types for instances of `InstallerEvent`. Installer events cover everything that is written to the installer log file as well as application life-cycle events.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFTER_DOWNLOAD`
  Fired before a file has been downloaded.
  `AFTER_EXECUTE_ACTION`
  Fired after an action has been executed.
  `AFTER_INSTALL_FILE`
  Fired after a file has been installed.
  `AFTER_ROLLBACK_ACTION`
  Fired after a rollback is performed
  `BEFORE_DOWNLOAD`
  Fired before a file is downloaded.
  `BEFORE_EXECUTE_ACTION`
  Fired before an action is executed
  `BEFORE_INSTALL_FILE`
  Fired before a file is installed.
  `BEFORE_ROLLBACK_ACTION`
  Fired before a rollback is performed
  `CANCELED`
  Fired just before the installer or uninstaller quits after having been canceled.
  `CANCELLING`
  Fired when the installer or uninstaller is canceled but before any cleanup has been performed.
  `DIRECTORY_CREATED`
  Fired after a directory has been installed.
  `FILE_INSTALLATION_STARTED`
  Fired before the file installation is started by the "Install files" action.
  `FINISHED`
  Fired just before the installer or uninstaller quits.
  `FINISHING`
  Fired when the installer or uninstaller quits but before any cleanup has been performed.
  `SCREEN_ACTIVATED`
  Fired after a screen has been fully activated.
  `SHOW_SCREEN`
  Fired before a screen is shown.
  `VARIABLE_CHANGED`
  Fired after a variable has been set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getOperationVerbose()`
  Get a verbose message that describes the operation that is connected with this event.
  `String`
  `toString()`
  `static EventType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EventType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BEFORE_EXECUTE_ACTION

    public static final EventType BEFORE_EXECUTE_ACTION
    Fired before an action is executed

  - ### AFTER_EXECUTE_ACTION

    public static final EventType AFTER_EXECUTE_ACTION
    Fired after an action has been executed. The event object will be of type `InstallerActionEvent`.

  - ### BEFORE_ROLLBACK_ACTION

    public static final EventType BEFORE_ROLLBACK_ACTION
    Fired before a rollback is performed

  - ### AFTER_ROLLBACK_ACTION

    public static final EventType AFTER_ROLLBACK_ACTION
    Fired after a rollback is performed

  - ### BEFORE_INSTALL_FILE

    public static final EventType BEFORE_INSTALL_FILE
    Fired before a file is installed. The event object will be of type `InstallerFileEvent`.

  - ### AFTER_INSTALL_FILE

    public static final EventType AFTER_INSTALL_FILE
    Fired after a file has been installed. The event object will be of type `InstallerFileEvent`.

  - ### DIRECTORY_CREATED

    public static final EventType DIRECTORY_CREATED
    Fired after a directory has been installed. The event object will be of type `InstallerDirectoryEvent`.

  - ### BEFORE_DOWNLOAD

    public static final EventType BEFORE_DOWNLOAD
    Fired before a file is downloaded. The event object will be of type `InstallerDownloadEvent`.

  - ### AFTER_DOWNLOAD

    public static final EventType AFTER_DOWNLOAD
    Fired before a file has been downloaded. The event object will be of type `InstallerDownloadEvent`.

  - ### SHOW_SCREEN

    public static final EventType SHOW_SCREEN
    Fired before a screen is shown.

  - ### SCREEN_ACTIVATED

    public static final EventType SCREEN_ACTIVATED
    Fired after a screen has been fully activated.

  - ### FINISHING

    public static final EventType FINISHING
    Fired when the installer or uninstaller quits but before any cleanup has been performed.

  - ### FINISHED

    public static final EventType FINISHED
    Fired just before the installer or uninstaller quits.

  - ### CANCELLING

    public static final EventType CANCELLING
    Fired when the installer or uninstaller is canceled but before any cleanup has been performed.

  - ### CANCELED

    public static final EventType CANCELED
    Fired just before the installer or uninstaller quits after having been canceled.

  - ### VARIABLE_CHANGED

    public static final EventType VARIABLE_CHANGED
    Fired after a variable has been set.
    See Also:
      - `Context.setVariable(String, Object)`

  - ### FILE_INSTALLATION_STARTED

    public static final EventType FILE_INSTALLATION_STARTED
    Fired before the file installation is started by the "Install files" action. You can get the total size and the total file count from the event object.

- ## Method Details

  - ### values

    public static EventType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EventType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getOperationVerbose

    public String getOperationVerbose()
    Get a verbose message that describes the operation that is connected with this event.
    Returns:
      the message

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<EventType>`